Package org.apache.felix.http.javaxwrappers

# Class ReadListenerWrapper

java.lang.Object
org.apache.felix.http.javaxwrappers.ReadListenerWrapper

All Implemented Interfaces:
  `EventListener`, `javax.servlet.ReadListener`

public class ReadListenerWrapper extends Object implements javax.servlet.ReadListener
Read listener

## Constructor Summary

Constructors
Constructor
Description
`ReadListenerWrapper(@NotNull jakarta.servlet.ReadListener listener)`
Create new lister

## Method Summary

Modifier and Type
Method
Description
`void`
`onAllDataRead()`
`void`
`onDataAvailable()`
`void`
`onError(Throwable t)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ReadListenerWrapper

public ReadListenerWrapper(@NotNull @NotNull jakarta.servlet.ReadListener listener)
Create new lister

Parameters:
  `listener` - Wrapped listener

## Method Details

### onDataAvailable

public void onDataAvailable() throws IOException

Specified by:
  `onDataAvailable` in interface `javax.servlet.ReadListener`
Throws:
  `IOException`

### onAllDataRead

public void onAllDataRead() throws IOException

Specified by:
  `onAllDataRead` in interface `javax.servlet.ReadListener`
Throws:
  `IOException`

### onError

public void onError(Throwable t)

Specified by:
  `onError` in interface `javax.servlet.ReadListener`